import { IDisposable } from '../../Interfaces/IDisposable';
import { BaseProceduralTexture } from './BaseProceduralTexture';
export declare class NormalMapProceduralTexture extends BaseProceduralTexture implements IDisposable {
    static readonly FRAGMENT_SHADER = "zakeke_normalMapProceduralTexture";
    static readonly CUSTOM_TYPE = "Zakeke.NormalMapProceduralTexture";
    private _bias;
    private _invertR;
    private _invertG;
    private _bevel;
    private _intensity;
    get bias(): number;
    set bias(value: number);
    get invertR(): boolean;
    set invertR(value: boolean);
    get invertG(): boolean;
    set invertG(value: boolean);
    get bevel(): boolean;
    set bevel(value: boolean);
    get intensity(): number;
    set intensity(value: number);
    constructor(name: string, size: number, scene: BABYLON.Scene, baseTexture: BABYLON.Texture, fallbackTexture?: BABYLON.Texture, generateMipMaps?: boolean);
    dispose(): void;
    updateShaderUniforms(): void;
    /**
    * Render the texture to its associated render target.
    * @param useCameraPostProcess Define if camera post process should be applied to the texture
    */
    render(useCameraPostProcess?: boolean): void;
    /**
      * Resize the texture to new value.
      * @param size Define the new size the texture should have
      * @param generateMipMaps Define whether the new texture should create mip maps
      */
    resize(size: number, generateMipMaps: boolean): void;
}
